# Amend trade

Amend a verified trade by amount, rate, customer, or all three. Available to broker users and sales dealer users.
You must specify at least one property in addition to `id`.
Work with your Integral Technical Account Manager to configure the following trade amendment restrictions:
* Number of minutes during which a trade is eligible for amendment after verification.
* Total number of price amend requests allowed for a trade. Each request to change a rate property (`spotRate`, `forwardPoints`) counts against the total allowed.
* Maximum amount a trade can be amended expressed as a percentage of the trade’s size. If you specify `dealtAmount`, the value must be greater than zero and less than this maximum.

Endpoint: POST /v2/trades/amendment
Version: 1.0.1
Security: SSO_TOKEN

## Request fields (application/json):

  - `id` (string, required)
    ID of the verified trade to amend.

  - `dealtAmount` (number)
    New amount of the dealt instrument. Must be greater than zero and less than the maximum percentage change allowed, if configured.

  - `customerAccount` (string)
    New customer’s legal entity ID.

  - `forwardPoints` (number)
    New forward points for a forward or NDF trade.

  - `spotRate` (number)
    New spot rate of the trade. Must be greater than zero.

  - `note` (string)
    Any notes on the trade. These notes are sent via STP if the trade is eligible for STP (stp=true).

## Response 200 fields (application/json):

  - `originalTradeId` (string)
    ID of the original trade that was amended.

  - `tradeId` (string)
    ID of the new trade.

  - `createdTime` (string)
    Date and time (GMT) the trade was booked in the format `yyyy-MM-dd HH:mm:ss,SSS Z`.

